LibreOffice LibreOffice 25.2 SDK API Reference

Modules | Variables
TransactionIsolation.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::sdbc
| Database component interfaces.

## Constant Groups
constants | com::sun::star::sdbc::TransactionIsolation
| distinguishes different possible transaction isolation levels.

## Variables
const long | NONE = 0
| indicates that transactions are not supported. More...
const long | READ_UNCOMMITTED = 1
| Dirty reads, non-repeatable reads and phantom reads can occur. More...
const long | READ_COMMITTED = 2
| Dirty reads are prevented; non-repeatable reads and phantom reads can occur. More...
const long | REPEATABLE_READ = 4
| Dirty reads and non-repeatable reads are prevented; phantom reads can occur. More...
const long | SERIALIZABLE = 8
| Dirty reads, non-repeatable reads and phantom reads are prevented. More...